Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.edm.services.configuration
Class ValidationService

    java.lang.Object
      com.sun.mdm.index.edm.services.configuration.ValidationService

public class ValidationService
extends java.lang.Object

Perform validations

Field Summary
`static java.lang.String` | `CONFIG_MODULE_AUDIT_FUNCTION` constant
`static java.lang.String` | `CONFIG_MODULE_FUNCTION` constant
`static java.lang.String` | `CONFIG_MODULE_RESOLVETYPE` constant
`static java.lang.String` | `CONFIG_MODULE_SYSTEM` constant
`(package private) static java.lang.String` | `currentModule`
`(package private) static ValidationService` | `instance`
`(package private) static java.util.HashMap` | `sysmap`
`(package private) static java.util.Map` | `usercodemap`
`(package private) static java.util.HashMap` | `vmmap`

Constructor Summary
`(package private)` | `ValidationService()`

Method Summary
`java.lang.String` | `getDescription(java.lang.String valueListName, java.lang.String code)`
`java.lang.String` | `getInputMask(java.lang.String systemCode)`
`static ValidationService` | `getInstance()`
`java.lang.String` | `getSystemDescription(java.lang.String systemCode)` Retrieves the system definition given the system code
`java.lang.String[][]` | `getSystemInputMasks()`
`java.lang.String` | `getUserCodeDescription(java.lang.String module, java.lang.String code)`
`java.lang.String` | `getUserCodeInputMask(java.lang.String module, java.lang.String code)`
`java.lang.String[][]` | `getUserCodeInputMasks(java.lang.String module)`
`int` | `getUserCodeValueCount(java.lang.String module)`
`PullDownListItem[]` | `getUserCodeValueItems(java.lang.String module)`
`java.lang.String` | `getUserCodeValueMask(java.lang.String module, java.lang.String code)`
`int` | `getValueCount(java.lang.String valueListName)`
`PullDownListItem[]` | `getValueItems(java.lang.String valueListName)`
`java.lang.String` | `getValueMask(java.lang.String systemCode)`
`static void` | `init()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONFIG_MODULE_AUDIT_FUNCTION

    public static final java.lang.String CONFIG_MODULE_AUDIT_FUNCTION

  constant

  See Also:
    Constant Field Values

### CONFIG_MODULE_FUNCTION

    public static final java.lang.String CONFIG_MODULE_FUNCTION

  constant

  See Also:
    Constant Field Values

### CONFIG_MODULE_RESOLVETYPE

    public static final java.lang.String CONFIG_MODULE_RESOLVETYPE

  constant

  See Also:
    Constant Field Values

### CONFIG_MODULE_SYSTEM

    public static final java.lang.String CONFIG_MODULE_SYSTEM

  constant

  See Also:
    Constant Field Values

### currentModule

    static java.lang.String currentModule

### instance

    static ValidationService instance

### sysmap

    static java.util.HashMap sysmap

### usercodemap

    static java.util.Map usercodemap

### vmmap

    static java.util.HashMap vmmap

Constructor Detail

### ValidationService

    ValidationService()

Method Detail

### getDescription

    public java.lang.String getDescription(java.lang.String valueListName,
                                           java.lang.String code)

  Parameters:
    `valueListName` - the name of the list
    `code` - the code among the list
  Returns:
    description of the code pair

### getInputMask

    public java.lang.String getInputMask(java.lang.String systemCode)

  Parameters:
    `systemCode` - the code of the system
  Returns:
    input mask the input mask of the local ID for the system.

### getInstance

    public static ValidationService getInstance()

  Returns:
    the only instance of the class

### getSystemDescription

    public java.lang.String getSystemDescription(java.lang.String systemCode)

  Retrieves the system definition given the system code

  Parameters:
    `systemCode` - system code
  Returns:
    system description

### getSystemInputMasks

    public java.lang.String[][] getSystemInputMasks()

  Returns:
    systemMask system/input mask array.

### getUserCodeDescription

    public java.lang.String getUserCodeDescription(java.lang.String module,
                                                   java.lang.String code)

  Parameters:
    `code` - the code among the list
  Returns:
    description of the code pair

### getUserCodeInputMask

    public java.lang.String getUserCodeInputMask(java.lang.String module,
                                                 java.lang.String code)

  Parameters:
    `code` - type of user code
  Returns:
    input mask the input mask of the code of type

### getUserCodeInputMasks

    public java.lang.String[][] getUserCodeInputMasks(java.lang.String module)

  Returns:
    userCodeMask input mask array.

### getUserCodeValueCount

    public int getUserCodeValueCount(java.lang.String module)

  Parameters:
    `module` - name of the list
  Returns:
    number of items in the user code value list

### getUserCodeValueItems

    public PullDownListItem[] getUserCodeValueItems(java.lang.String module)

  Parameters:
    `module` - name of the list
  Returns:
    a PullDownListItem object

### getUserCodeValueMask

    public java.lang.String getUserCodeValueMask(java.lang.String module,
                                                 java.lang.String code)

  Parameters:
    `code` - the code value
  Returns:
    value mask the value mask of the code of the code list

### getValueCount

    public int getValueCount(java.lang.String valueListName)

  Parameters:
    `valueListName` - the name of the list
  Returns:
    number of items in the value list

### getValueItems

    public PullDownListItem[] getValueItems(java.lang.String valueListName)

  Parameters:
    `valueListName` - the name of the list
  Returns:
    a PullDownListItem object

### getValueMask

    public java.lang.String getValueMask(java.lang.String systemCode)

  Parameters:
    `systemCode` - the code of the system
  Returns:
    input mask the input mask of the local ID for the system.

### init

    public static void init()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.